commit e39a8763c4dead0f448981d9488d7b264db9da55
Author: H.J. Lu <hjl.tools@gmail.com>
Date:   Wed Jun 24 09:12:47 2020 -0700

    x96: Remove PTA_CLWB from PTA_ICELAKE_CLIENT
    
    CLWB isn't supported on Ice Lake client.  But Ice Lake server support it.
    Move PTA_CLWB to PTA_ICELAKE_SERVER.
    
            PR target/95874
            * config/i386/i386.c (PTA_ICELAKE_CLIENT): Remove PTA_CLWB.
            (PTA_ICELAKE_SERVER): Add PTA_CLWB.
    
    (cherry picked from commit c422e5f81f42a0fc197f0715f4fcd81f1be90bff)

diff --git a/gcc/config/i386/i386.c b/gcc/config/i386/i386.c
index f1baecda28e..7ea67fe64de 100644
--- a/gcc/config/i386/i386.c
+++ b/gcc/config/i386/i386.c
@@ -3385,9 +3385,9 @@ ix86_option_override_internal (bool main_args_p,
     | PTA_AVX512VBMI | PTA_AVX512IFMA | PTA_SHA;
   const wide_int_bitmask PTA_ICELAKE_CLIENT = PTA_CANNONLAKE | PTA_AVX512VNNI
     | PTA_GFNI | PTA_VAES | PTA_AVX512VBMI2 | PTA_VPCLMULQDQ | PTA_AVX512BITALG
-    | PTA_RDPID | PTA_CLWB | PTA_AVX512VPOPCNTDQ;
+    | PTA_RDPID | PTA_AVX512VPOPCNTDQ;
   const wide_int_bitmask PTA_ICELAKE_SERVER = PTA_ICELAKE_CLIENT | PTA_PCONFIG
-    | PTA_WBNOINVD;
+    | PTA_WBNOINVD | PTA_CLWB;
   const wide_int_bitmask PTA_KNL = PTA_BROADWELL | PTA_AVX512PF | PTA_AVX512ER
     | PTA_AVX512F | PTA_AVX512CD;
   const wide_int_bitmask PTA_BONNELL = PTA_CORE2 | PTA_MOVBE;

